commit: 52bbd3cb9b83ea7ac6f7c5e3038eb37bbf6fdbda
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 3 07:23:36 2024 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Jun 3 07:37:16 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52bbd3cb
app-editors/emacs: Don't error out when directory already exists
This will allow to rerun src_test.
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>
app-editors/emacs/emacs-27.2-r16.ebuild | 2 +-
app-editors/emacs/emacs-28.2-r12.ebuild | 2 +-
app-editors/emacs/emacs-29.3-r2.ebuild | 4 ++--
app-editors/emacs/emacs-29.3.9999.ebuild | 4 ++--
app-editors/emacs/emacs-30.0.9999.ebuild | 4 ++--
5 files changed, 8 insertions(+), 8 deletions(-)
diff --git a/app-editors/emacs/emacs-27.2-r16.ebuild
b/app-editors/emacs/emacs-27.2-r16.ebuild
index f464149b2e11..5c0b5934fb86 100644
--- a/app-editors/emacs/emacs-27.2-r16.ebuild
+++ b/app-editors/emacs/emacs-27.2-r16.ebuild
@@ -250,7 +250,7 @@ src_configure() {
if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make
tools
- mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
+ mkdir -p "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all
--without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
diff --git a/app-editors/emacs/emacs-28.2-r12.ebuild
b/app-editors/emacs/emacs-28.2-r12.ebuild
index 691f6acc3c9d..50156d392662 100644
--- a/app-editors/emacs/emacs-28.2-r12.ebuild
+++ b/app-editors/emacs/emacs-28.2-r12.ebuild
@@ -285,7 +285,7 @@ src_configure() {
if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make
tools
- mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
+ mkdir -p "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all
--without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
diff --git a/app-editors/emacs/emacs-29.3-r2.ebuild
b/app-editors/emacs/emacs-29.3-r2.ebuild
index b717950c33ce..c828ae18054e 100644
--- a/app-editors/emacs/emacs-29.3-r2.ebuild
+++ b/app-editors/emacs/emacs-29.3-r2.ebuild
@@ -345,7 +345,7 @@ src_configure() {
if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make
tools
- mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
+ mkdir -p "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all
--without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
@@ -462,7 +462,7 @@ src_test() {
# Redirect GnuPG's sockets, in order not to exceed the 108 char limit
# for socket paths on Linux.
- mkdir "${T}"/gpg || die
+ mkdir -p "${T}"/gpg || die
local f
for f in browser extra ssh; do
printf "%%Assuan%%\nsocket=%s\n" "${T}/gpg/S.${f}" \
diff --git a/app-editors/emacs/emacs-29.3.9999.ebuild
b/app-editors/emacs/emacs-29.3.9999.ebuild
index fbd5febcfaa7..4f14c5c8568a 100644
--- a/app-editors/emacs/emacs-29.3.9999.ebuild
+++ b/app-editors/emacs/emacs-29.3.9999.ebuild
@@ -342,7 +342,7 @@ src_configure() {
if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make
tools
- mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
+ mkdir -p "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all
--without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
@@ -449,7 +449,7 @@ src_test() {
# Redirect GnuPG's sockets, in order not to exceed the 108 char limit
# for socket paths on Linux.
- mkdir "${T}"/gpg || die
+ mkdir -p "${T}"/gpg || die
local f
for f in browser extra ssh; do
printf "%%Assuan%%\nsocket=%s\n" "${T}/gpg/S.${f}" \
diff --git a/app-editors/emacs/emacs-30.0.9999.ebuild
b/app-editors/emacs/emacs-30.0.9999.ebuild
index 572a28d32bdb..dd2880411851 100644
--- a/app-editors/emacs/emacs-30.0.9999.ebuild
+++ b/app-editors/emacs/emacs-30.0.9999.ebuild
@@ -342,7 +342,7 @@ src_configure() {
if tc-is-cross-compiler; then
# Configure a CBUILD directory when cross-compiling to make
tools
- mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
+ mkdir -p "${S}-build" && pushd "${S}-build" >/dev/null || die
ECONF_SOURCE="${S}" econf_build --without-all
--without-x-toolkit
popd >/dev/null || die
# Don't try to execute the binary for dumping during the build
@@ -449,7 +449,7 @@ src_test() {
# Redirect GnuPG's sockets, in order not to exceed the 108 char limit
# for socket paths on Linux.
- mkdir "${T}"/gpg || die
+ mkdir -p "${T}"/gpg || die
local f
for f in browser extra ssh; do
printf "%%Assuan%%\nsocket=%s\n" "${T}/gpg/S.${f}" \